\version "2.19.28"

SOLO = \markup { \smallCaps Seul. }
TUTTI = \markup { \smallCaps Tous. }
TACET = \markup \large { \fontsize #1 \smallCaps Tacet. }
tacet = \markup \italic { (tacet). }

% Staff-names (X = full / x = suite / z = reduction & partcombine)
XHautbois = {
  \set Staff.instrumentName = "Hautbois"
  \set Staff.shortInstrumentName = "Hbs"
  \set Staff.midiInstrument = "oboe"
}
xHbs = {
  \set Staff.instrumentName = "Hbs"
  \set Staff.shortInstrumentName = "Hbs"
  \set Staff.midiInstrument = "oboe"
}
XHautboisA = {
  \set Staff.instrumentName = "Hautbois Ⅰ."
  \set Staff.shortInstrumentName = "Hbs Ⅰ."
  \set Staff.midiInstrument = "oboe"
}
xHbA = {
  \set Staff.instrumentName = "Hbs Ⅰ."
  \set Staff.shortInstrumentName = "Hbs Ⅰ."
  \set Staff.midiInstrument = "oboe"
}
XHautboisB = {
  \set Staff.instrumentName = "Hautbois Ⅱ."
  \set Staff.shortInstrumentName = "Hbs Ⅱ."
  \set Staff.midiInstrument = "oboe"
}
xHbB = {
  \set Staff.instrumentName = "Hbs Ⅱ."
  \set Staff.shortInstrumentName = "Hbs Ⅱ."
  \set Staff.midiInstrument = "oboe"
}
XFlute = {
  \set Staff.instrumentName = "Flûte"
  \set Staff.shortInstrumentName = "Fl."
  \set Staff.midiInstrument = "recorder"
}
xFl = {
  \set Staff.instrumentName = "Fl."
  \set Staff.shortInstrumentName = "Fl."
  \set Staff.midiInstrument = "recorder"
}
XFluteA = {
  \set Staff.instrumentName = "Flûte Ⅰ."
  \set Staff.shortInstrumentName = "Fl. Ⅰ."
  \set Staff.midiInstrument = "recorder"
}
xFlA = {
  \set Staff.instrumentName = "Fl. Ⅰ."
  \set Staff.shortInstrumentName = "Fl. Ⅰ."
  \set Staff.midiInstrument = "recorder"
}
XFluteB = {
  \set Staff.instrumentName = "Flûte Ⅱ."
  \set Staff.shortInstrumentName = "Fl. Ⅱ."
  \set Staff.midiInstrument = "recorder"
}
xFlB = {
  \set Staff.instrumentName = "Fl. Ⅱ."
  \set Staff.shortInstrumentName = "Fl. Ⅱ."
  \set Staff.midiInstrument = "flute"
}
XTaille = {
  \set Staff.instrumentName = "Taille."
  \set Staff.midiInstrument = "french horn"
}
XBasson = {
  \set Staff.instrumentName = "Basson."
  \set Staff.shortInstrumentName = "Bsn."
  \set Staff.midiInstrument = "bassoon"
}
xBsn = {
  \set Staff.instrumentName = "Bsn."
  \set Staff.shortInstrumentName = "Bsn."
  \set Staff.midiInstrument = "bassoon"
}
XViolons = {
  \set Staff.instrumentName = "Violons."
  \set Staff.shortInstrumentName = "Vn."
  \set Staff.midiInstrument = "violin"
}
xVln = {
  \set Staff.instrumentName = "Vn."
  \set Staff.shortInstrumentName = "Vn."
  \set Staff.midiInstrument = "violin"
}
XViolonA = {
  \set Staff.instrumentName = "Violon Ⅰ."
  \set Staff.shortInstrumentName = "Vn Ⅰ."
  \set Staff.midiInstrument = "violin"
}
xVlnA = {
  \set Staff.instrumentName = "Vn Ⅰ."
  \set Staff.shortInstrumentName = "Vn Ⅰ."
  \set Staff.midiInstrument = "violin"
}
XViolonB = {
  \set Staff.instrumentName = "Violon Ⅱ."
  \set Staff.shortInstrumentName = "Vn Ⅱ."
  \set Staff.midiInstrument = "violin"
}
xVlnB = {
  \set Staff.instrumentName = "Vn Ⅱ."
  \set Staff.shortInstrumentName = "Vn Ⅱ."
  \set Staff.midiInstrument = "violin"
}
XViola = {
  \set Staff.instrumentName = "Viola."
  \set Staff.shortInstrumentName = "Va"
  \set Staff.midiInstrument = "viola"
}
XContinuo = {
  \set Staff.instrumentName = \markup { \column { "Basse" "Continue." } }
  \set Staff.shortInstrumentName = "B-C."
  \set Staff.midiInstrument = "harpsichord"
}
BCont = \markup { \smallCaps Basse-Continue. }
xCont = {
  \set Staff.instrumentName = "B-C."
  \set Staff.shortInstrumentName = "B-C."
  \set Staff.midiInstrument = "harpsichord"
}
BC = \markup { B-C. }
XChant = {
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "voice oohs"
}
XSoprano = {
  \set Staff.instrumentName = "Soprano."
  \set Staff.shortInstrumentName = "S."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
xSop = {
  \set Staff.instrumentName = "S."
  \set Staff.shortInstrumentName = "S."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
XSopranA = {
  \set Staff.instrumentName = "Soprano Ⅰ."
  \set Staff.shortInstrumentName = "S Ⅰ."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
xSopA = {
  \set Staff.instrumentName = "S Ⅰ."
  \set Staff.shortInstrumentName = "S Ⅰ."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
XSopranB = {
  \set Staff.instrumentName = "Soprano Ⅱ."
  \set Staff.shortInstrumentName = "S Ⅱ."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
xSopB = {
  \set Staff.instrumentName = "S Ⅱ."
  \set Staff.shortInstrumentName = "S Ⅱ."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
 }
XAlto = {
  \set Staff.instrumentName = "Alto."
  \set Staff.shortInstrumentName = "A."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
xAlt = {
  \set Staff.instrumentName = "A."
  \set Staff.shortInstrumentName = "A."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
 }
XAltoA = {
  \set Staff.instrumentName = "Alto Ⅰ."
  \set Staff.shortInstrumentName = "A Ⅰ."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
xAltA = {
  \set Staff.instrumentName = "A Ⅰ."
  \set Staff.shortInstrumentName = "A Ⅰ."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
 }
XAltoB = {
  \set Staff.instrumentName = "Alto Ⅱ."
  \set Staff.shortInstrumentName = "A Ⅱ."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
xAltB = {
  \set Staff.instrumentName = "A Ⅱ."
  \set Staff.shortInstrumentName = "A Ⅱ."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
 }
XTenor = {
  \set Staff.instrumentName = "Tenore."
  \set Staff.shortInstrumentName = "T."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
xTen = {
  \set Staff.instrumentName = "T."
  \set Staff.shortInstrumentName = "T."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
XTenorA = {
  \set Staff.instrumentName = "Tenore Ⅰ."
  \set Staff.shortInstrumentName = "T Ⅰ."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
xTenA = {
  \set Staff.instrumentName = "T Ⅰ."
  \set Staff.shortInstrumentName = "T Ⅰ."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
XTenorB = {
  \set Staff.instrumentName = "Tenore Ⅱ."
  \set Staff.shortInstrumentName = "T Ⅱ."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
xTenB = {
  \set Staff.instrumentName = "T Ⅱ."
  \set Staff.shortInstrumentName = "T Ⅱ."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
XBasso = {
  \set Staff.instrumentName = "Basso."
  \set Staff.shortInstrumentName = "B."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
xBas = {
  \set Staff.instrumentName = "B."
  \set Staff.shortInstrumentName = "B."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
xBasA = {
  \set Staff.instrumentName = "B Ⅰ."
  \set Staff.shortInstrumentName = "B Ⅰ."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir aahs"
}
xBasB = {
  \set Staff.instrumentName = "B Ⅱ."
  \set Staff.shortInstrumentName = "B Ⅱ."
  \set Staff.autoBeaming = ##f
  \unset Staff.melismaBusyProperties
  \set Staff.midiInstrument = "choir oohs"
}

tocAct = #(define-music-function (text) (markup?)
	   (add-toc-item! 'tocActMarkup text))


Lytalic = { \override LyricText.font-shape = #'italic }
Lydroit = { \override LyricText.font-shape = #'upright }
LySC = { \once \override LyricText.font-size = #-2.5 }

%% MultiMeasureRest compression in parts
MAC = { \compressFullBarRests
	\override Staff.MultiMeasureRest.expand-limit = #1 }

%% line breaks in parts' score
PBB = \tag #'Part { \bar ""}
PLB = \tag #'Part { \break }
PPB = \tag #'Part { \pageBreak }
%% line breaks in vocal & conductor's score
CBB = \tag #'Full { \bar "" \break }
CLB = \tag #'Full { \break }
CPB = \tag #'Full { \pageBreak }
%% line breaks in urtext
UBB = \tag #'Urtext { \bar "" \break }
ULB = \tag #'Urtext { \break }
UPB = \tag #'Urtext { \pageBreak }
UNB = \tag #'Urtext { \noBreak }

%% Nuances
Fort = \tweak DynamicText.self-alignment-X #LEFT
       #(make-dynamic-script
         (markup #:normal-text #:smallCaps #:italic "Fort."
                    #:dynamic #:transparent "f"))
Doux = \tweak DynamicText.self-alignment-X #LEFT
       #(make-dynamic-script
            (markup #:normal-text #:smallCaps #:italic "Doux."
                    #:dynamic #:transparent "p"))

%% Extension figures
FEO = \bassFigureExtendersOn
FEN = \bassFigureExtendersOff
FAR = \once \set figuredBassAlterationDirection = #RIGHT
FPR = \once \set figuredBassPlusDirection = #RIGHT

%% Marks alignées par la gauche sauf exception (fin de ligne)
RMR = \once \override Score.RehearsalMark.self-alignment-X = #RIGHT

%% Force clef normale si change d'armure en milieu de mesure
FCF = { \once \set Staff.forceClef = ##t }

%% rapetisse les passage en triple et quadruple en Urtext
petit = \tag #'Urtext \tiny
gros = \tag #'Urtext \normalsize


%% Forces MMR to be temporarily expanded
% so that no HaraKiri
% use: Rx \showMultiRests Rx*y \hideMultiRests Rx
showMultiRests = {
 \set Staff.keepAliveInterfaces = #'(
    rhythmic-grob-interface
    multi-measure-rest-interface
    lyric-interface
    stanza-number-interface
    percent-repeat-interface)
}

hideMultiRests = \unset Staff.keepAliveInterfaces

%% raccourcis des mélismes (I=in O=out)
melI = \melisma
melO = \melismaEnd
% Urtext seulement
UmelI = \tag #'Urtext \melisma
UmelO = \tag #'Urtext \melismaEnd
UlyrR = \once \override LyricText.self-alignment-X = #RIGHT
% Moderne seulement (syllables explicites)
MmelI = \tag #'(Full Part) \melisma
MmelO = \tag #'(Full Part) \melismaEnd

%% Urtext has middle line stem UP, with rare exceptions
UstemD = \tag #'Urtext { \once \stemDown }
