\version "2.19.28"
#(ly:set-option 'relative-includes #t)
#(set-global-staff-size 18)
\language "english"
\include "Commons/Definitions.ily"
\include "Commons/Specials.ily"
\include "Commons/Pages.ily"
\paper { print-all-headers = ##t }

volume = "Conducteur"

\book {
  \paper {
    first-page-number = -3
    #(define page-breaking ly:optimal-breaking)
  }

  \bookpart { %Première de couverture
  \paper {
    evenHeaderMarkup = ""
    print-page-number = ##f }
    \header {
      title = \markup { \fromproperty #'header:myTitle }
      instrument = \volume
    }
    \markup \null \pageBreak \markup \null
  } %Première de couverture

  \bookpart { %%%Table des matières
    \paper {
    oddHeaderMarkup = ""
    evenHeaderMarkup = ""
      print-page-number = ##f
      #(define page-breaking ly:minimal-breaking)
    }
    \header {
      title = ""
      copyright = ""
    }

    \markuplist \abs-fontsize #9 \table-of-contents
  }

  \bookpart {
    \header {
      entete = \volume
      copyright = ""
      title = "PROLOGUE."
    }
    \include "A/Conducteur.ly"
  }

  \bookpart {
    \header {
      entete = \volume
      title = "LES DEVINS DE LA PLACE SAINT MARC."
      subtitle = "SECONDE ENTRÉE NOUVELLE"
      subsubtitle = "DES FESTES VENITIENNES."
      copyright = ""
    }
    \markup { \combine \null \vspace #1.5 }
    \markup \fill-line {
      ""
      \center-column {
        \override #'(span-factor . 1/2) \draw-hline
        "Le Théâtre représente la Place Saint Marc."
        \override #'(span-factor . 1/2) \draw-hline }
      "" }
    \markup { \combine \null \vspace #1.5 }
    \include "B2/Conducteur.ly"
  }

  \bookpart {
    \header {
      entete = \volume
      title = "L'AMOUR SALTINBANQUE,"
      subtitle = "DEUXIÈME ENTRÉE"
      subsubtitle = "DES FESTES VENITIENNES."
      copyright = ""
    }
    \markup { \combine \null \vspace #1.5 }
    \markup \fill-line {
      ""
      \center-column {
        \override #'(span-factor . 1/2) \draw-hline
        "Le Théâtre représente la Place Saint Marc."
        \override #'(span-factor . 1/2) \draw-hline }
      "" }
    \markup { \combine \null \vspace #1.5 }

    \include "B1/Conducteur.ly"
  }

  \bookpart {
    \header {
      entete = \volume
      title = "L'OPERA,"
      subtitle = "TROISIÈME ENTRÉE DES FESTES VENITIENNES."
      subsubtitle = ""
      copyright = ""
    }
    \markup { \combine \null \vspace #1.5 }
    \markup \fill-line {
      ""
      \center-column {
        \override #'(span-factor . 1/2) \draw-hline
        "Le Théâtre représente la Salle de l'Opera du Palais Grimani, à Venise"
        \override #'(span-factor . 1/2) \draw-hline }
      "" }
    \markup { \combine \null \vspace #1.5 }

    \include "C/Conducteur.ly"
  }

  \bookpart {
    \paper { print-page-number = ##t }
    \header {
      entete = \volume
      title = "LE BAL."
      subtitle = "QUATRIÈME ENTRÉE"
      subsubtitle = "DES FESTES VENITIENNES."
      copyright = ""
    }
    \markup { \combine \null \vspace #1.5 }
    \markup \fill-line {
      ""
      \center-column {
        \override #'(span-factor . 1/2) \draw-hline
        "Le Théâtre représente un lieu preparé pour un Bal."
        \override #'(span-factor . 1/2) \draw-hline }
      "" }
    \markup { \combine \null \vspace #1.5 }

    \include "D/Conducteur.ly"
  }

  \bookpart {
    \header {
      entete = \volume
      title = "LES SERENADES, ET LES JOUEURS"
      subtitle = "CINQUIÈME ENTRÉE"
      subsubtitle = "DES FESTES VENITIENNES."
      copyright = ""
    }
    \markup { \combine \null \vspace #1.5 }
    \markup \fill-line {
      ""
      \center-column {
        \override #'(span-factor . 1/2) \draw-hline
        "Le Théâtre représente une Place, & dans le fond le Ridotte."
        \override #'(span-factor . 1/2) \draw-hline }
      "" }
    \markup { \combine \null \vspace #1.5 }

    \include "E/Conducteur.ly"
  }
}
