\version "2.19.28"
#(ly:set-option 'relative-includes #t)
#(set-global-staff-size 17)
\language "english"
\include "Commons/Definitions.ily"
\include "Commons/Specials.ily"
\include "Commons/Pages-Urtext.ily"
\paper { print-all-headers = ##t }

\book {
  \paper {
    print-page-number = ##f
    first-page-number = -3
    #(define page-breaking ly:optimal-breaking)
  }

\bookpart {
  \header {
    title = \markup { \fromproperty #'header:myTitle }
  }
  \markup \null \pageBreak \markup \null
} %Première de couverture

\bookpart { %%%Table des matières
  \paper {
    print-page-number = ##f
    #(define page-breaking ly:minimal-breaking)
  }

  \header {
    title = ""
    copyright = ""
  }

  \markuplist %\abs-fontsize #10
  \table-of-contents
%  \markuplist { \wordwrap-lines { \table-of-contents }}
  %\pageBreak \markup \null
}

\bookpart {
  \paper { print-page-number = ##t }
  \header {
    copyright = ""
    title = "PROLOGUE."
    entete = \markup { \fromproperty #'header:title }
  }
  \tocAct \markup \smallCaps { Prologue }
  \tocItem \markup \smallCaps { Ouverture }
    \include "A/0-Ouverture/Urtext.ly" \pageBreak
  \tocItem \markup { \smallCaps "Scène première" : Le \smallCaps Carnaval }
    \include "A/1-Carnaval/Urtext.ly"
  \tocItem \markup { \smallCaps "Scène Ⅱ" : La \smallCaps Folie,
                            le \smallCaps Carnaval, et leurs suites }
  \tocItem \markup { \hspace #5 Entrée de la suite de la \smallCaps Folie }
    \include "A/2a-Entree/Urtext.ly" \pageBreak
  \tocItem \markup { \hspace #5 Gigue }
    \include "A/2b-Gigue/Urtext.ly"
  \tocItem \markup { \hspace #5 La \smallCaps Folie }
    \include "A/2c-Folie/Urtext.ly"
  \tocItem \markup { \hspace #5 Air pour la suite du \smallCaps Carnaval }
      \include "A/2d-Air/Urtext.ly"
  \tocItem \markup { \hspace #5 Villanelle }
    \include "A/2e-Villanelle/Urtext.ly"
  }

\bookpart {
  \paper { print-page-number = ##t }
     \header {
      title = "LES DEVINS DE LA PLACE SAINT MARC."
      subtitle = "SECONDE ENTRÉE NOUVELLE"
      subsubtitle = "DES FESTES VENITIENNES."
    entete = \markup { \fromproperty #'header:title }
    copyright = ""
    }
    \markup { \combine \null \vspace #1.5 }
    \markup \fill-line {
      ""
      \center-column {
        \override #'(span-factor . 1/2) \draw-hline
        "Le Théâtre représente la Place Saint Marc."
        \override #'(span-factor . 1/2) \draw-hline }
      "" }
    \markup { \combine \null \vspace #1.5 }
  \tocAct \markup \smallCaps { Les Devins de la Place Saint Marc }
  \tocItem \markup { \smallCaps "Scène première" :
                     Une \smallCaps Bohémienne, \smallCaps Zelie déguisée en Bohémienne }
    \include "B2/1a-Devins/Urtext.ly"
  \tocItem \markup { \hspace #5 Duo }
    \include "B2/1b-Duo/Urtext.ly"
  \tocItem \markup { \smallCaps "Scène Ⅱ" :
                     \smallCaps Leandre }
    \include "B2/2-Leandre/Urtext.ly" \pageBreak
  \tocItem \markup { \smallCaps "Scène Ⅲ" :
                     \smallCaps Leandre, \smallCaps Zelie en Bohémienne }
    \include "B2/3-Duo/Urtext.ly"
  \tocItem \markup { \smallCaps "Scène Ⅳ" :
                     \smallCaps Leandre, \smallCaps Zelie, Troupe de Devins, de Devineresses, de Bohémiens et de Bohémiennes  }
  \tocItem \markup { \hspace #5 Marche }
    \include "B2/4a-Marche/Urtext.ly"
  \tocItem \markup { \hspace #5 Chœur }
    \include "B2/4b-Choeur/Urtext.ly"
  \tocItem \markup { \hspace #5 Premier passepied }
    \include "B2/4c-Passepied1/Urtext.ly" \pageBreak
  \tocItem \markup { \hspace #5 Deuxième passepied }
    \include "B2/4c-Passepied2/Urtext.ly"
  \tocItem \markup { \hspace #5 Cantate }
    \include "B2/4d-Cantate/Urtext.ly"
  \tocItem \markup { \hspace #5 Danse }
    \include "B2/4e-Danse/Urtext.ly"
  \tocItem \markup { \hspace #5 Récitatif et ariette }
    \include "B2/4f-Recitatif/Urtext.ly"
    \include "B2/4g-Ariette/Urtext.ly"
  \tocItem \markup { \hspace #5 Bohémienne }
    \include "B2/4h-Bohemienne/Urtext.ly"
  \tocItem \markup { \smallCaps "Scène Ⅴ" :
                     \smallCaps Zelie, \smallCaps Leandre, et les acteurs des scènes précédentes }
    \include "B2/5-Duo/Urtext.ly"
  }

  \bookpart {
  \paper { print-page-number = ##t }
     \header {
      title = "L'AMOUR SALTINBANQUE,"
      subtitle = "DEUXIÈME ENTRÉE"
      subsubtitle = "DES FESTES VENITIENNES."
    entete = \markup { \fromproperty #'header:title }
    copyright = ""
    }
    \markup { \combine \null \vspace #1.5 }
    \markup \fill-line {
      ""
      \center-column {
        \override #'(span-factor . 1/2) \draw-hline
        "Le Théâtre représente la Place Saint Marc."
        \override #'(span-factor . 1/2) \draw-hline }
      "" }
    \markup { \combine \null \vspace #1.5 }

  \tocAct \markup \smallCaps { L'Amour saltimbanque }
  \tocItem \markup \smallCaps { "Scène première" :
                     Filindo, Eraste }
  \tocItem \markup { \hspace #5 Ritournelle }
    \include "B1/1a-Ritournelle/Urtext.ly"
  \tocItem \markup { \hspace #5 Duo }
    \include "B1/1b-Filindo/Urtext.ly"
  \tocItem \markup { \smallCaps "Scène Ⅱ" :
                     \smallCaps "Lenonore, Nerine" surveillante }
    \include "B1/2-Duo/Urtext.ly"
  \tocItem \markup { \smallCaps "Scène Ⅲ" :
                     \smallCaps "L'Amour, Filindo, Eraste, Leonore, Nerine,"
                     Troupe de Saltimbanques }
    \include "B1/3a-intro/Urtext.ly"
    \include "B1/3b-Filindo/Urtext.ly"
  \tocItem \markup { \hspace #5 Chœur }
    \include "B1/3c-choeur/Urtext.ly"
  \tocItem \markup { \hspace #5 Air pour les Arlequins }
    \include "B1/3d-arlequins/Urtext.ly" \pageBreak
  \tocItem \markup { \hspace #5 Cantate }
    \include "B1/3e-Cantate/Urtext.ly"
  \tocItem \markup { \hspace #5 Air des Espagnols }
    \include "B1/3f-Espagnols/Urtext.ly"
  \tocItem \markup { \hspace #5 \smallCaps L'Amour }
    \include "B1/3g-Amour/Urtext.ly"
  \tocItem \markup { \hspace #5 Air des Polichinels }
    \include "B1/3h-Polichinels/Urtext.ly"
  \tocItem \markup { \hspace #5 Ariette }
    \include "B1/3i-Amour/Urtext.ly"
    \include "B1/3j-Ariette/Urtext.ly"
    \include "B1/3k-Quartete/Urtext.ly"
  \tocItem \markup { \hspace #5 Air pour la suite de \concat { l' \smallCaps Amour }}
    \include "B1/3l-Air/Urtext.ly"
  \tocItem \markup { \hspace #5 Chaconne }
    \include "B1/3m-Chacone/Urtext.ly"
  \tocItem \markup { \hspace #5 Chœur }
    \include "B1/3n-choeur/Urtext.ly"
  }

\bookpart {
  \paper { print-page-number = ##t }
     \header {
      title = "L'OPERA,"
      subtitle = "TROISIÈME ENTRÉE DES FESTES VENITIENNES."
      subsubtitle = ""
    entete = \markup { \fromproperty #'header:title }
    copyright = ""
    }
    \markup { \combine \null \vspace #1.5 }
    \markup \fill-line {
      ""
      \center-column {
        \override #'(span-factor . 1/2) \draw-hline
        "Le Théâtre représente la Salle de l'Opera
 du Palais Grimani, à Venise"
        \override #'(span-factor . 1/2) \draw-hline }
      "" }
    \markup { \combine \null \vspace #1.5 }

  \tocAct \markup \smallCaps { L'opera }
  \tocItem \markup { \smallCaps "Scène première" :
                     \smallCaps Damire déguisé en \smallCaps Borée, \smallCaps Adolphe }
    \include "C/1-Duo/Urtext.ly"
  \tocItem \markup \smallCaps { "Scène Ⅱ" :
                     Leontine, Lucie }
    \include "C/2a-instrumental/Urtext.ly"
    \include "C/2b-Airs/Urtext.ly"
    \include "C/2c-Lucie/Urtext.ly"
    \include "C/2d-Duo/Urtext.ly"
  \tocItem \markup { \smallCaps "Scène Ⅲ" :
                     \smallCaps Leontine, le \smallCaps Maistre de Chant }
    \include "C/3a-instrumental/Urtext.ly"
    \include "C/3b-Dialogue/Urtext.ly" \pageBreak
  \tocItem \markup { \smallCaps Ouverture }
    \include "C/4-Ouverture/Urtext.ly" \pageBreak
  \tocItem \markup \smallCaps { "Scène première" : Flore }
    \include "C/5-Flore/Urtext.ly"
  \tocItem \markup \smallCaps { "Scène Ⅱ" :
                     Zephire, Flore }
    \include "C/6a-Air/Urtext.ly"
    \include "C/6b-Duo/Urtext.ly"
  \tocItem \markup { \hspace #5 Marche }
    \include "C/6c-Marche/Urtext.ly"
    \include "C/6d-Duo/Urtext.ly"
  \tocItem \markup { \hspace #5 Chœur }
    \include "C/6e-Choeur/Urtext.ly"
  \tocItem \markup { \hspace #5 Air }
    \include "C/6f-Air/Urtext.ly" \pageBreak
  \tocItem \markup { \hspace #5 Première bourrée }
    \include "C/6g-Bouree/Urtext.ly"
    \include "C/6h-Zephire/Urtext.ly"
  \tocItem \markup { \hspace #5 Air des Musettes }
    \include "C/6i-Musettes/Urtext.ly"
    \include "C/6j-Lucie/Urtext.ly" \pageBreak
  \tocItem \markup \smallCaps { Airs champestres }
  \tocItem \markup { \hspace #5 Première bourrée }
    \include "C/6k-Bouree1/Urtext.ly"
  \tocItem \markup { \hspace #5 Deuxième bourrée }
    \include "C/6l-Bouree2/Urtext.ly"
  \tocItem \markup { \smallCaps "Scène Ⅳ" :
                     \smallCaps Borée, les \smallCaps Aquilons, et les acteurs de la scène précédente }
    \include "C/7-Boree/Urtext.ly"
  \tocItem \markup \smallCaps { "Scène Ⅴ" : Zephire }
    \include "C/8-Zephire/Urtext.ly"
  \tocItem \markup \smallCaps { "Scène Ⅵ" :
                     Zephire, Lucie, Rodolphe }
    \include "C/9-Trio/Urtext.ly"
  \tocItem \markup \smallCaps { Scène dernière : Rodophe }
    \include "C/10-Rodolphe/Urtext.ly"
  }

\bookpart {
  \paper { print-page-number = ##t }
     \header {
      title = "LE BAL."
      subtitle = "QUATRIÈME ENTRÉE"
      subsubtitle = "DES FESTES VENITIENNES."
      entete = \markup { \fromproperty #'header:title }
      copyright = ""
    }
    \markup { \combine \null \vspace #1.5 }
    \markup \fill-line {
      ""
      \center-column {
        \override #'(span-factor . 1/2) \draw-hline
        "Le Théâtre représente un lieu preparé pour un Bal."
        \override #'(span-factor . 1/2) \draw-hline }
      "" }
    \markup { \combine \null \vspace #1.5 }

  \tocAct \markup \smallCaps { Le Bal }
  \tocItem \markup \smallCaps { "Scène première" :
                     Alamir, Themir }
    \include "D/1a-Duo/Urtext.ly"
    \include "D/1b-Duo/Urtext.ly"
  \tocItem \markup { \smallCaps "Scène Ⅱ" :
                     \smallCaps Themir, un \smallCaps "Maistre de Musique"
                     un \smallCaps "Maistre de Danse" }
    \include "D/2a-Duo/Urtext.ly"
    \include "D/2b-Duo/Urtext.ly" \pageBreak
  \tocItem \markup { \hspace #5 Prélude }
    \include "D/2c-Prelude/Urtext.ly"
  \tocItem \markup \smallCaps { "Scène Ⅲ" :
                     Alamir, Iphise }
    \include "D/3-Duo/Urtext.ly"
  \tocItem \markup \smallCaps { "Scène Ⅳ" :
                     Alamir, Iphise, Themir }
    \include "D/4-Trio/Urtext.ly"
  \tocItem \markup \smallCaps { "Scène Ⅴ" :
                     Alamir, Iphise }
    \include "D/5-Duo/Urtext.ly" \pageBreak
  \tocItem \markup { \smallCaps "Scène Ⅴ" :
                     \smallCaps "Alamir, Iphise,"
                     tous les acteurs des scènes précédentes et les chœurs }
  \tocItem \markup { \hspace #5 Marche }
    \include "D/6a-Marche/Urtext.ly"
  \tocItem \markup { \hspace #5 Chœurs }
    \include "D/6b-Choeurs/Urtext.ly"
  \tocItem \markup { \hspace #5 Premier Menuet }
    \include "D/6c-Menuet1/Urtext.ly" \pageBreak
  \tocItem \markup { \hspace #5 Deuxième Menuet }
    \include "D/6d-Menuet2/Urtext.ly"
  \tocItem \markup { \hspace #5 Premier Passepied }
    \include "D/6e-Passepied1/Urtext.ly"
  \tocItem \markup { \hspace #5 Deuxième Passepied }
    \include "D/6f-Passepied2/Urtext.ly"
  \tocItem \markup { \hspace #5 Air italien }
    \include "D/6g-Italien/Urtext.ly"
  \tocItem \markup { \hspace #5 Air des Masques }
    \include "D/6h-Masques/Urtext.ly"
  \tocItem \markup { \hspace #5 Premier air comique }
    \include "D/6i-Comique1/Urtext.ly"
  \tocItem \markup { \hspace #5 Deuxième air comique }
    \include "D/6j-Comique2/Urtext.ly"
  \tocItem \markup { \hspace #5 Forlana }
    \include "D/6k-Forlana1/Urtext.ly"
    \include "D/6l-Forlana2/Urtext.ly"
  }

  \bookpart {
  \paper { print-page-number = ##t }
     \header {
      title = "LES SERENADES, ET LES JOUEURS"
      subtitle = "CINQUIÈME ENTRÉE"
      subsubtitle = "DES FESTES VENITIENNES."
    entete = \markup { \fromproperty #'header:title }
    copyright = ""
    }
    \markup { \combine \null \vspace #1.5 }
    \markup \fill-line {
      ""
      \center-column {
        \override #'(span-factor . 1/2) \draw-hline
        "Le Théâtre représente une Place, & dans le fond le Ridotte."
        \override #'(span-factor . 1/2) \draw-hline }
      "" }
    \markup { \combine \null \vspace #1.5 }

  \tocAct \markup \smallCaps { Les Sérénades, et les Joueurs }
  \tocItem \markup \smallCaps { "Scène première" :
                     Isabelle }
    \include "E/1-Isabelle/Urtext.ly"
  \tocItem \markup \smallCaps { "Scène Ⅱ" :
                     Lucile }
    \include "E/2-Lucile/Urtext.ly"
  \tocItem \markup \smallCaps { "Scène Ⅲ" :
                     Isabelle, Lucile }
    \include "E/3-Duo/Urtext.ly" \pageBreak
  \tocItem \markup { \smallCaps "Scène Ⅳ" :
                    \smallCaps Leandre, Troupe de joueurs d'instruments }
    \include "E/4a-Cantate/Urtext.ly"
  \tocItem \markup { \hspace #5 Cantate }
    \include "E/4b-Cantate/Urtext.ly"
  \tocItem \markup { \hspace #5 Ariette }
    \include "E/4c-Ariette/Urtext.ly" \pageBreak
  \tocItem \markup \smallCaps { "Scène Ⅴ" :
                     Irene, Leandre }
    \include "E/5-Irene/Urtext.ly"
  \tocItem \markup \smallCaps { "Scène Ⅵ" :
                     Leandre }
    \include "E/6-Trio/Urtext.ly"
  \tocItem \markup { \smallCaps "Scène Ⅶ" :
                    \smallCaps Leandre, Chœur et Troupe de joueurs }
    \include "E/7a-Intro/Urtext.ly"
  \tocItem \markup { \hspace #5 Chœur de Joueurs }
    \include "E/7b-Choeur/Urtext.ly"
  \tocItem \markup { \hspace #5 Premier air }
    \include "E/7c-Air1/Urtext.ly" \pageBreak
    \include "E/7d-Joueur/Urtext.ly"
  \tocItem \markup { \hspace #5 Deuxième air }
    \include "E/7e-Air2/Urtext.ly"
    \include "E/7f-Joueur/Urtext.ly"
  \tocItem \markup { \hspace #5 Air des Biscayens }
    \include "E/7g-Biscayens/Urtext.ly"
    \include "E/7h-Dorante/Urtext.ly"
  \tocItem \markup { \hspace #5 Contre-danse }
    \include "E/7i-Contredanse/Urtext.ly"
  }
}
