\version "2.19.28"
#(ly:set-option 'relative-includes #t)
#(set-global-staff-size 20)
\language "english"
\include "Commons/Definitions.ily"
\include "Commons/Specials.ily"
\include "Commons/Pages.ily"
\paper { print-all-headers = ##t }

\book {
  \paper {
    first-page-number = -3
    indent = 0.3\cm
    #(define page-breaking ly:optimal-breaking)
%    max-systems-per-page = 12
  }
  \header {
    entete = "Violons"
  }

  \bookpart {
  \paper {
    print-page-number = ##f
    evenHeaderMarkup = ##f
    oddHeaderMarkup = ##f }
    \header {
      title = \markup { \fromproperty #'header:myTitle }
      instrument = "Violons"
    }
    \markup \null \pageBreak \markup \null
  } %Première de couverture

  \bookpart { %%%Table des matières
    \paper {
      print-page-number = ##f
    evenHeaderMarkup = ##f
    oddHeaderMarkup = ##f
      #(define page-breaking ly:minimal-breaking)
    }
    \header {
      title = ""
      copyright = ""
    }

    \markuplist \abs-fontsize #9 \table-of-contents
  }

  \bookpart {
    \header {
      copyright = ""
      title = "PROLOGUE."
    }
    \include "A/Violons.ly"
  }

  \bookpart {
    \header {
      title = "LES DEVINS DE LA PLACE SAINT MARC."
      subtitle = "SECONDE ENTRÉE NOUVELLE"
      subsubtitle = "DES FESTES VENITIENNES."
      copyright = ""
    }
    \include "B2/Violons.ly"
  }

  \bookpart {
    \header {
      title = "L'AMOUR SALTINBANQUE."
      subtitle = "DEUXIÈME ENTRÉE"
      subsubtitle = "DES FESTES VENITIENNES."
      copyright = ""
    }
    \include "B1/Violons.ly"
  }

  \bookpart {
    \header {
      title = "L'OPERA,"
      subtitle = "TROISIÈME ENTRÉE DES FESTES VENITIENNES."
      subsubtitle = ""
      copyright = ""
    }
    \include "C/Violons.ly"
  }

  \bookpart {
    \header {
      title = "LE BAL."
      subtitle = "QUATRIÈME ENTRÉE"
      subsubtitle = "DES FESTES VENITIENNES."
      copyright = ""
    }
    \include "D/Violons.ly"
  }

  \bookpart {
    \header {
      title = "LES SERENADES, ET LES JOUEURS"
      subtitle = "CINQUIÈME ENTRÉE"
      subsubtitle = "DES FESTES VENITIENNES."
      copyright = ""
    }
    \include "E/Violons.ly"
  }
}
