\version "2.19.28"

\tocAct \markup \smallCaps { Les Sérénades, et les Joueurs }
\tocItem \markup \smallCaps { Scène première : Isabelle }
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F
      \include "1-Isabelle/global.ily" \include "1-Isabelle/cello.ily" >>
  \header {
    title = ""
    subtitle = "SCENE PREMIERE."
    subsubtitle = "ISABELLE."
    piece = ""
  }
  \layout { }
}

\tocItem \markup \smallCaps { Scène Ⅱ : Lucile }
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F
      \include "2-Lucile/global.ily" \include "2-Lucile/cello.ily" >>
  \header {
    title = ""
    subtitle = "SCENE Ⅱ."
    subsubtitle = "LUCILE."
    piece = ""
  }
  \layout { }
}

\tocItem \markup \smallCaps { Scène Ⅲ : Isabelle, Lucile }
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F
      \include "3-Duo/global.ily" \include "3-Duo/cello.ily" >>
  \header {
    breakbefore = ##t
    title = ""
    subtitle = "SCENE Ⅲ."
    subsubtitle = "ISABELLE, LUCILE."
    piece = ""
  }
  \layout { }
}

\tocItem \markup {
  \smallCaps "Scène Ⅳ" :
  \smallCaps Leandre, Troupe de joueurs d'instruments }
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F \MAC
      \include "4a-Cantate/global.ily" \include "4a-Cantate/cello.ily" >>
  \header {
    title = ""
    subtitle = "SCENE Ⅳ."
    subsubtitle = "LEANDRE, Troupe de Joüeurs d'Instruments."
    piece = "CANTATE."
  }
  \layout { }
}
\tocItem \markup { \hspace #5 Cantate }
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F \MAC
      \include "4b-Cantate/global.ily" \include "4b-Cantate/cello.ily" >>
  \header {
    breakbefore = ##t
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = ""
  }
  \layout { }
}
\tocItem \markup { \hspace #5 Ariette }
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F
      \include "4c-Ariette/global.ily" \include "4c-Ariette/cello.ily" >>
  \header {
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = "ARIETTE."
  }
  \layout { }
}

\tocItem \markup \smallCaps { Scène Ⅴ : Irene, Leandre }
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F \MAC
      \include "5-Irene/global.ily" \include "5-Irene/cello.ily" >>
  \header {
    breakbefore = ##t
    title = ""
    subtitle = "SCENE Ⅴ."
    subsubtitle = "IRENE, LEANDRE."
    piece = ""
  }
  \layout { }
}
\tocItem \markup \smallCaps { Scène Ⅵ : Leandre }
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F
      \include "6-Trio/global.ily" \include "6-Trio/cello.ily" >>
  \header {
    title = ""
    subtitle = "SCENE Ⅵ."
    subsubtitle = "LEANDRE."
    piece = ""
  }
  \layout { }
}

\tocItem \markup {
  \smallCaps "Scène Ⅶ" :
  \smallCaps Leandre, Chœur et Troupe de joueurs }
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F
      \include "7a-Intro/global.ily" \include "7a-Intro/cello.ily" >>
  \header {
    title = ""
    subtitle = "SCENE Ⅶ."
    subsubtitle = "LEANDRE, Chœur & Troupe de Joueurs."
    piece = ""
  }
  \layout { }
}
\tocItem \markup { \hspace #5 Chœur de Joueurs }
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F
      \include "7b-Choeur/global.ily" \include "7b-Choeur/cello.ily" >>
  \header {
    breakbefore = ##t
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = \markup { CHŒUR \smallCaps "de Joueurs." }
  }
  \layout { }
}
\tocItem \markup { \hspace #5 Premier air }
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F
      \include "7c-Air1/global.ily" \include "7c-Air1/cello.ily" >>
  \header {
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = "PREMIER AIR."
  }
  \layout { }
}
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F
      \include "7d-Joueur/global.ily" \include "7d-Joueur/cello.ily" >>
  \header {
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = ""
  }
  \layout { }
}
\tocItem \markup { \hspace #5 Deuxième air }
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F
      \include "7e-Air2/global.ily" \include "7e-Air2/cello.ily" >>
  \header {
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = "DEUXIÈME AIR."
  }
  \layout { }
}
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F
      \include "7f-Joueur/global.ily" \include "7f-Joueur/cello.ily" >>
  \header {
    breakbefore = ##t
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = ""
  }
  \layout { }
}
\tocItem \markup { \hspace #5 Air des Biscayens }
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F
      \include "7g-Biscayens/global.ily" \include "7g-Biscayens/cello.ily" >>
  \header {
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = "AIR DES BISCAYENS."
  }
  \layout { }
}
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F
      \include "7h-Dorante/global.ily" \include "7h-Dorante/cello.ily" >>
  \header {
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = ""
  }
  \layout { }
}
\tocItem \markup { \hspace #5 Contre-danse }
\score {
  \keepWithTag #'Part
    \new Staff = "Cello" <<
      \clef F
      \include "7i-Contredanse/global.ily" \include "7i-Contredanse/cello.ily" >>
  \header {
    breakbefore = ##t
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = "CONTRE-DANSE."
  }
  \layout { }
}
\markup \column {
  \fill-line { ""
  \line {
    \italic "On reprend le Chœur" Fortune, &c. \italic page
     \concat { \page-ref #'E7b "00" "?". } \italic "pour finir."}
  "" }
  \fill-line { "" "FIN DE LA CINQUIÈME ET DERNIÈRE ENTRÉE." "" }
  \null \vspace #5 }
