\version "2.19.28"

\tocAct \markup \smallCaps { Les Sérénades, et les Joueurs }
\tocItem \markup \smallCaps { Scène première : Isabelle }
\score {
  \keepWithTag #'Part
    \new Staff <<
      \clef G
      \include "1-Isabelle/global.ily" \include "1-Isabelle/violon1.ily" >>
  \header {
    title = ""
    subtitle = "SCENE PREMIERE."
    subsubtitle = "ISABELLE."
    piece = ""
  }
  \layout { }
}

\tocItem \markup \smallCaps { Scène Ⅱ : Lucile }
\score {
  \keepWithTag #'Part
    \new Staff <<
      \clef G
      \include "2-Lucile/global.ily" \include "2-Lucile/violon1.ily" >>
  \header {
    breakbefore = ##t
    title = ""
    subtitle = "SCENE Ⅱ."
    subsubtitle = "LUCILE."
    piece = ""
  }
  \layout { }
}

\tocItem \markup \smallCaps { Scène Ⅲ : Isabelle, Lucile }
\score {
  \new Staff { \tacetStaff #50 "TACET" R1*10 }
  \header {
    title = ""
    subtitle = "SCENE Ⅲ."
    subsubtitle = "ISABELLE, LUCILE."
    piece = ""
  }
  \tacetLayout
}

\tocItem \markup {
  \smallCaps "Scène Ⅳ" :
  \smallCaps Leandre, Troupe de joueurs d'instruments }
\score {
  \keepWithTag #'Part
    \new Staff <<
      \clef G
      \include "4a-Cantate/global.ily" \include "4a-Cantate/violon1.ily" >>
  \header {
    title = ""
    subtitle = "SCENE Ⅳ."
    subsubtitle = "LEANDRE, Troupe de Joüeurs d'Instruments."
    piece = "CANTATE."
  }
  \layout { }
}
\tocItem \markup { \hspace #5 Cantate }
\score {
  \keepWithTag #'Part
  \new GrandStaff <<
    \new Staff <<
      \clef G \MAC
      \include "4b-Cantate/global.ily"
      \include "4b-Cantate/violon1.ily" >>
    \new Staff <<
      \clef G \MAC
      \include "4b-Cantate/global.ily"
      \include "4b-Cantate/violon2.ily" >> >>
  \header {
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = ""
  }
  \layout { }
}
\tocItem \markup { \hspace #5 Ariette }
\score {
  \keepWithTag #'Part
  \new GrandStaff <<
    \new Staff <<
      \clef G \MAC
      \include "4c-Ariette/global.ily"
      \include "4c-Ariette/flute1.ily" >>
    \new Staff <<
      \clef G \MAC
      \include "4c-Ariette/global.ily"
      \include "4c-Ariette/flute2.ily" >> >>
  \header {
    breakbefore = ##t
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = "ARIETTE."
  }
  \layout { }
}

\tocItem \markup \smallCaps { Scène Ⅴ : Irene, Leandre }
\score {
  \keepWithTag #'Part
    \new Staff <<
      \clef G \MAC
      \include "5-Irene/global.ily" \include "5-Irene/violon1.ily" >>
  \header {
    title = ""
    subtitle = "SCENE Ⅴ."
    subsubtitle = "IRENE, LEANDRE."
    piece = ""
  }
  \layout { }
}
\tocItem \markup \smallCaps { Scène Ⅵ : Leandre }
\score {
  \keepWithTag #'Part
    \new Staff <<
      \clef G \MAC
      \include "6-Trio/global.ily" \include "6-Trio/violon1.ily" >>
  \header {
    title = ""
    subtitle = "SCENE Ⅵ."
    subsubtitle = "LEANDRE."
    piece = ""
  }
  \layout { }
}

\tocItem \markup {
  \smallCaps "Scène Ⅶ" :
  \smallCaps Leandre, Chœur et Troupe de joueurs }
\score {
  \keepWithTag #'Part
    \new Staff <<
      \clef G
      \include "7a-Intro/global.ily" \include "7a-Intro/violon1.ily" >>
  \header {
    breakbefore = ##t
    title = ""
    subtitle = "SCENE Ⅶ."
    subsubtitle = "LEANDRE, Chœur & Troupe de Joueurs."
    piece = ""
  }
  \layout { }
}
\tocItem \markup { \hspace #5 Chœur de Joueurs }
\score {
  \keepWithTag #'Part
    \new Staff <<
      \clef G
      \include "7b-Choeur/global.ily" \include "7b-Choeur/violon1.ily" >>
  \header {
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = \markup { CHŒUR \smallCaps "de Joueurs." }
  }
  \layout { }
}
\tocItem \markup { \hspace #5 Premier air }
\score {
  \keepWithTag #'Part
    \new Staff <<
      \clef G
      \include "7c-Air1/global.ily" \include "7c-Air1/violon1.ily" >>
  \header {
    breakbefore = ##t
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = "PREMIER AIR."
  }
  \layout { }
}
\score {
  \keepWithTag #'Part
    \new Staff <<
      \clef G \MAC
      \include "7d-Joueur/global.ily" \include "7d-Joueur/tacet.ily" >>
  \header {
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = ""
  }
  \layout { }
}
\markup \fill-line {
  ""
  \line {
  \italic "On reprend le premier Air,"
  p. \concat { \page-ref #'E7c "000" "?". }
  \italic "& l'on chante ensuite le second Couplet."
  Page \concat { \page-ref #'E7d "00" "?". } }
  "" }

\tocItem \markup { \hspace #5 Deuxième air }
\score {
  \keepWithTag #'Part
    \new Staff <<
      \clef G
      \include "7e-Air2/global.ily" \include "7e-Air2/violon1.ily" >>
  \header {
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = "DEUXIÈME AIR."
  }
  \layout { }
}
\score {
  \keepWithTag #'Part
    \new Staff <<
      \clef G \MAC
      \include "7f-Joueur/global.ily" \include "7f-Joueur/tacet.ily" >>
  \header {
    breakbefore = ##t
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = ""
  }
  \layout { }
}
\tocItem \markup { \hspace #5 Air des Biscayens }
\score {
  \keepWithTag #'Part
    \new Staff <<
      \clef G
      \include "7g-Biscayens/global.ily" \include "7g-Biscayens/violon1.ily" >>
  \header {
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = "AIR DES BISCAYENS."
  }
  \layout { }
}
\score {
  \keepWithTag #'Part
  \new GrandStaff <<
    \new Staff <<
      \clef G \MAC
      \include "7h-Dorante/global.ily"
      \include "7h-Dorante/violon1.ily" >>
    \new Staff <<
      \clef G \MAC
      \include "7h-Dorante/global.ily"
      \include "7h-Dorante/violon2.ily" >> >>
  \header {
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = ""
  }
  \layout { }
}
\tocItem \markup { \hspace #5 Contre-danse }
\score {
  \keepWithTag #'Part
    \new Staff <<
      \clef G
      \include "7i-Contredanse/global.ily" \include "7i-Contredanse/violon1.ily" >>
  \header {
    breakbefore = ##t
    title = ""
    subtitle = ""
    subsubtitle = ""
    piece = "CONTRE-DANSE."
  }
  \layout { }
}
\markup \column {
  \fill-line { ""
  \line {
    \italic "On reprend le Chœur" Fortune, &c. \italic page
     \concat { \page-ref #'E7b "00" "?". } \italic "pour finir."}
  "" }
  \fill-line { "" "FIN DE LA CINQUIÈME ET DERNIÈRE ENTRÉE." "" }}
